Package ru.bitel.bgbilling.modules.tv.server.runtime

# Class ProductRuntimeList

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.util.AbstractPeriodItemSet<ProductRuntimeList.ProductItem>
ru.bitel.bgbilling.modules.tv.server.runtime.ProductRuntimeList

public class ProductRuntimeList extends ru.bitel.common.util.AbstractPeriodItemSet<ProductRuntimeList.ProductItem>

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `ProductRuntimeList.ProductItem`

  ## Nested classes/interfaces inherited from class ru.bitel.common.util.AbstractPeriodItemSet

  `ru.bitel.common.util.AbstractPeriodItemSet.PeriodItem`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.util.AbstractPeriodItemSet

  `entries`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ProductRuntimeList`
  `add(int productSpecId, int productId, int activationModeId, Date timeFrom, Date timeTo, short state)`
  `protected boolean`
  `containsMillis(ProductRuntimeList.ProductItem item, long millis)`
  `long`
  `getTimeFrom(int productId)`
  `protected boolean`
  `isCoincide(ProductRuntimeList.ProductItem item, ProductRuntimeList.ProductItem other)`
  `ProductRuntimeList.ProductItem`
  `itemByProductId(int productId)`
  `ProductRuntimeList.ProductItem[]`
  `items()`
  `List<ProductRuntimeList.ProductItem>`
  `listEndingAt(long millis)`
  `Map<Integer,ProductRuntimeList.ProductItem>`
  `mapByProductId(long date1, long date2)`
  `static ProductRuntimeList`
  `newInstance(List<Product> productList)`
  `Map<Integer,Integer>`
  `optionMap(long date1, long date2)`
  `ProductRuntimeList`
  `remove(int productSpecId, int productId, int activationModeId, Date timeFrom, Date timeTo)`
  `ProductRuntimeList`
  `update(int productSpecId, int productId, int activationModeId, Date timeFrom, Date timeTo, short state)`
  `protected ProductRuntimeList.ProductItem[]`
  `update(ProductRuntimeList.ProductItem newItem)`
  `void`
  `updateState(int productId, short deviceState)`

  ### Methods inherited from class ru.bitel.common.util.AbstractPeriodItemSet

  `add, contains, contains, containsAll, containsAll, count, count, countMillis, countMillis, get, item, items, items, items, map, nextActivateTime, remove, size, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### listEndingAt

    public List<ProductRuntimeList.ProductItem> listEndingAt(long millis)

  - ### containsMillis

    protected boolean containsMillis(ProductRuntimeList.ProductItem item, long millis)
    Overrides:
      `containsMillis` in class `ru.bitel.common.util.AbstractPeriodItemSet<ProductRuntimeList.ProductItem>`

  - ### isCoincide

    protected boolean isCoincide(ProductRuntimeList.ProductItem item, ProductRuntimeList.ProductItem other)
    Overrides:
      `isCoincide` in class `ru.bitel.common.util.AbstractPeriodItemSet<ProductRuntimeList.ProductItem>`

  - ### getTimeFrom

    public long getTimeFrom(int productId)

  - ### optionMap

    public Map<Integer,Integer> optionMap(long date1, long date2)

  - ### add

    public ProductRuntimeList add(int productSpecId, int productId, int activationModeId, Date timeFrom, Date timeTo, short state)

  - ### update

    public ProductRuntimeList update(int productSpecId, int productId, int activationModeId, Date timeFrom, Date timeTo, short state)

  - ### update

    protected ProductRuntimeList.ProductItem[] update(ProductRuntimeList.ProductItem newItem)
    Overrides:
      `update` in class `ru.bitel.common.util.AbstractPeriodItemSet<ProductRuntimeList.ProductItem>`

  - ### remove

    public ProductRuntimeList remove(int productSpecId, int productId, int activationModeId, Date timeFrom, Date timeTo)

  - ### itemByProductId

    public ProductRuntimeList.ProductItem itemByProductId(int productId)

  - ### newInstance

    public static ProductRuntimeList newInstance(List<Product> productList)

  - ### items

    public ProductRuntimeList.ProductItem[] items()

  - ### updateState

    public void updateState(int productId, short deviceState)

  - ### mapByProductId

    public Map<Integer,ProductRuntimeList.ProductItem> mapByProductId(long date1, long date2)